# Fastclock Client
## Model Railroad Fastclock Client

### Hardware Prerequisites
- ESP8266 or ESP32, e.g. Wemos Mini D1
- OLED Display 64x48 (Wemos shield)
- Battery (LiIon) support

### Software Prerequisites
- Uses the ssd1306dj library, which is derived from Adafruit to support 64x48 resolution
- Fastclock Server (WLAN/Network based)
- Mongoose installed (being able to start "mos" on the command line)

### Howto flash
Standard procedure, as with any other App. 
- git clone this repo
- git clone the ssd1306dj library, use following file structure
  - .../libs/ssd1306dj/...
  - .../fastclockClient/...
  - .../fastclockServer/...
- build locally: mos build --local && mos flash

