/* FastclockScanner -- collect fastclock server names
 */

#ifndef _FastclockScannerIncluded
#define _FastclockScannerIncluded

#include "appDebug.h"

#define MAX_CLOCKS 10

class FastclockScanner {
	public:
		FastclockScanner() {};
		void addClock(const char * clockName);
		const char **getKnownClocks() { return knownClocks; }
		int getNumberOfKnownClocks() { return numberOfKnownClocks; }
	private:
		static const char *knownClocks[];
		static int numberOfKnownClocks;
};

#endif
