//
//    FILE: Ui.h
// VERSION: 0.1
// PURPOSE: User interface / OLED/LCD driver
//
//

#ifndef uiControllerLoaded
#define uiControllerLoaded true

#include "appDebug.h"
#include "ClockClient.h"

class Ui {
public:
  Ui() {};
  static void begin();
  static void loop();
  static void showSplashImage(const uint8_t *image, int width, int height);
  static void showSplashImage_p(const uint8_t *image, int width, int height);
  static void displayImage(int x, int y, const uint8_t *image, int width, int height);
  static void displayImage_p(int x, int y, const uint8_t *image, int width, int height);
  static void displayImageInverted(int x, int y, const uint8_t *image, int width, int height);
  static void displayImageInverted_p(int x, int y, const  uint8_t *image, int width, int height);
  static void setTime(int _hour, int _minute, int _second);

private:
};

#endif
